task MIEpos2bed {
	File mie_file
	String chromo
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${mie_file} | awk '{print $1,$2,$2}' > ${sample_name}.${chromo}.allvariants.bed	

		cat ${mie_file} | grep -v '1:1:1' | awk '{print $1,$2,$2}' > ${sample_name}.${chromo}.mie.bed			

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mie_bed = "${sample_name}.${chromo}.mie.bed"
		File all_bed = "${sample_name}.${chromo}.allvariants.bed"
	}
}
